> For the complete documentation index, see [llms.txt](https://developers.tix.xyz/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.tix.xyz/api/indexer.md).

# Indexer

## GET /tix-indexer/listings/active

> List active listings

```json
{"openapi":"3.1.0","info":{"title":"TIX Developer Platform API","version":"0.3.0"},"tags":[{"name":"Indexer"}],"servers":[{"url":"https://api.tix.xyz","description":"Live / Production — real money"},{"url":"https://api.sandbox.tix.xyz","description":"Sandbox / Test money"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","in":"header","name":"x-api-key"}},"schemas":{"get-active-listings-response":{"type":"object","properties":{"items":{"type":"array","items":{"type":"object","properties":{"event_account":{"anyOf":[{"type":"string"},{"type":"null"}]},"event_id":{"anyOf":[{"type":"string","pattern":"^[0-9]+$","description":"Decimal integer from 0 to 18446744073709551615."},{"type":"null"}]},"listing_id":{"anyOf":[{"type":"string"},{"type":"null"}]},"ticket_id":{"anyOf":[{"type":"string","pattern":"^[0-9]+$","description":"Decimal integer from 0 to 18446744073709551615."},{"type":"null"}]},"seller":{"anyOf":[{"type":"string"},{"type":"null"}]},"buyer_allow":{"anyOf":[{"type":"string"},{"type":"null"}]},"ask_price_minor":{"anyOf":[{"type":"string"},{"type":"null"}]},"payout_ata":{"anyOf":[{"type":"string"},{"type":"null"}]},"expires_at":{"anyOf":[{"type":"string"},{"type":"null"}]},"updated_at":{"anyOf":[{"type":"string"},{"type":"null"}]}},"required":["event_account","event_id","listing_id","ticket_id","seller","buyer_allow","ask_price_minor","payout_ata","expires_at","updated_at"],"additionalProperties":false}},"next_cursor":{"anyOf":[{"type":"string"},{"type":"null"}]}},"required":["items","next_cursor"],"additionalProperties":false}}},"paths":{"/tix-indexer/listings/active":{"get":{"operationId":"get-active-listings","summary":"List active listings","tags":["Indexer"],"parameters":[{"name":"limit","in":"query","required":false,"schema":{"type":"integer","minimum":1,"maximum":500}},{"name":"cursor","in":"query","required":false,"schema":{"type":"string","minLength":1}},{"name":"eventId","in":"query","required":false,"schema":{"type":"string","pattern":"^[0-9]+$","description":"Decimal integer from 0 to 18446744073709551615."}}],"responses":{"200":{"description":"Successful response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/get-active-listings-response"}}}},"default":{"description":"Unsuccessful request. Error responses may be plain text, JSON, or empty; no common error-body contract is guaranteed."}}}}}}
```

## GET /tix-indexer/events/upcoming

> List upcoming events

```json
{"openapi":"3.1.0","info":{"title":"TIX Developer Platform API","version":"0.3.0"},"tags":[{"name":"Indexer"}],"servers":[{"url":"https://api.tix.xyz","description":"Live / Production — real money"},{"url":"https://api.sandbox.tix.xyz","description":"Sandbox / Test money"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","in":"header","name":"x-api-key"}},"schemas":{"get-upcoming-events-response":{"type":"object","properties":{"items":{"type":"array","items":{"type":"object","properties":{"event_account":{"type":"string","minLength":1},"event_id":{"anyOf":[{"type":"string","pattern":"^[0-9]+$","description":"Decimal integer from 0 to 18446744073709551615."},{"type":"null"}]},"name":{"anyOf":[{"type":"string"},{"type":"null"}]},"start_at":{"anyOf":[{"type":"string"},{"type":"null"}]},"on_sale_at":{"anyOf":[{"type":"string"},{"type":"null"}]},"image_url":{"anyOf":[{"type":"string"},{"type":"null"}]},"active_listing_count":{"type":"number","minimum":0},"tickets_issued_count":{"type":"number","minimum":0},"integrator_identity":{"anyOf":[{"type":"string"},{"type":"null"}]},"updated_at":{"anyOf":[{"type":"string"},{"type":"null"}]},"found":{"type":"boolean","const":true},"genres":{"anyOf":[{"type":"array","items":{"type":"string"}},{"type":"null"}]},"timezone":{"anyOf":[{"type":"string"},{"type":"null"}]},"address":{"anyOf":[{"type":"string"},{"type":"null"}]},"venue":{"anyOf":[{"type":"string"},{"type":"null"}]}},"required":["event_account","event_id","name","start_at","on_sale_at","image_url","active_listing_count","tickets_issued_count","integrator_identity","updated_at","found","genres","timezone","address","venue"],"additionalProperties":false}},"next_cursor":{"anyOf":[{"type":"string"},{"type":"null"}]}},"required":["items","next_cursor"],"additionalProperties":false}}},"paths":{"/tix-indexer/events/upcoming":{"get":{"operationId":"get-upcoming-events","summary":"List upcoming events","tags":["Indexer"],"parameters":[{"name":"limit","in":"query","required":false,"schema":{"type":"integer","minimum":1,"maximum":500}},{"name":"cursor","in":"query","required":false,"schema":{"type":"string","minLength":1}}],"responses":{"200":{"description":"Successful response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/get-upcoming-events-response"}}}},"default":{"description":"Unsuccessful request. Error responses may be plain text, JSON, or empty; no common error-body contract is guaranteed."}}}}}}
```

## POST /tix-indexer/events/{eventId}/metadata

> Update event metadata

```json
{"openapi":"3.1.0","info":{"title":"TIX Developer Platform API","version":"0.3.0"},"tags":[{"name":"Indexer"}],"servers":[{"url":"https://api.tix.xyz","description":"Live / Production — real money"},{"url":"https://api.sandbox.tix.xyz","description":"Sandbox / Test money"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","in":"header","name":"x-api-key"}},"schemas":{"post-integrator-metadata-response":{"type":"object","properties":{"status":{"type":"string","const":"ok"},"event_account":{"type":"string","minLength":1},"updated_at":{"type":"string","minLength":1}},"required":["status","event_account","updated_at"],"additionalProperties":false},"post-integrator-metadata-request":{"type":"object","properties":{"name":{"type":"string"},"start_at":{"type":"string"},"on_sale_at":{"type":"string"},"image_url":{"type":"string"},"timezone":{"type":"string"},"address":{"type":"string"},"venue":{"type":"string"},"genres":{"type":"array","items":{"type":"string"}}},"additionalProperties":false}}},"paths":{"/tix-indexer/events/{eventId}/metadata":{"post":{"operationId":"post-integrator-metadata","summary":"Update event metadata","tags":["Indexer"],"parameters":[{"name":"eventId","in":"path","required":true,"schema":{"type":"string","pattern":"^[0-9]+$","description":"Decimal integer from 0 to 18446744073709551615."}}],"responses":{"200":{"description":"Successful response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/post-integrator-metadata-response"}}}},"default":{"description":"Unsuccessful request. Error responses may be plain text, JSON, or empty; no common error-body contract is guaranteed."}},"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/post-integrator-metadata-request"}}}}}}}}
```
